package com.gic.finance.exception;

import com.gic.api.base.commons.ServiceResponse;

/**
 * 转账审批异常类
 * @ClassName: FinanceException 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/9 5:09 PM 
 */
public class FinanceException extends RuntimeException{
    private String errorCode;
    public FinanceException(String errorCode, String message) {
        super(message);
        this.errorCode = errorCode;
    }

    public FinanceException(ServiceResponse serviceResponse) {
        super(serviceResponse.getMessage());
        this.errorCode = serviceResponse.getCode();
    }

    public String getErrorCode() {
        return errorCode;
    }
}
